---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.datasource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.datasource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [dataSource](./sequelize.sequelizecrudrepository.datasource.md)

## SequelizeCrudRepository.dataSource property

**Signature:**

```typescript
dataSource: SequelizeDataSource;
```

